commit: f7c2235b1ec969741a0cc734cd9554e128b33984
Author: Marco Sirabella <marco <AT> sirabella <DOT> org>
AuthorDate: Sun Apr 18 07:32:37 2021 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun May 2 20:22:27 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7c2235b
vim-plugin.eclass: don't remove files on install.
This helps with multiple `ebuild install`s in a row, and also uses
standard install functions instead of manual commands
Signed-off-by: Marco Sirabella <marco <AT> sirabella.org>
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>
eclass/vim-plugin.eclass | 14 ++++++--------
1 file changed, 6 insertions(+), 8 deletions(-)
diff --git a/eclass/vim-plugin.eclass b/eclass/vim-plugin.eclass
index a0ba714f6e6..8b3ddf80ffd 100644
--- a/eclass/vim-plugin.eclass
+++ b/eclass/vim-plugin.eclass
@@ -63,17 +63,15 @@ vim-plugin_src_install() {
else
dodoc "${f}"
fi
- rm "${f}" || die
done
# Install remainder of plugin
- cd "${WORKDIR}" || die "couldn't cd in ${WORKDIR}"
- dodir /usr/share/vim
- mv "${S}" "${ED}"/usr/share/vim/vimfiles || die \
- "couldn't move ${S} to ${ED}/usr/share/vim/vimfiles"
-
- # Set permissions
- fperms -R a+rX /usr/share/vim/vimfiles
+ insinto /usr/share/vim/vimfiles/
+ local d
+ for d in *; do
+ [[ -d "${d}" ]] || continue
+ doins -r "${d}"
+ done
}
# @FUNCTION: vim-plugin_pkg_postinst